#property indicator_chart_window

extern double alertsRange     = 5;
extern bool   useHighLow      = false;
extern bool   alertsOn        = false;
extern bool   alertsOnCurrent = true;
extern bool   alertsMessage   = true;
extern bool   alertsSound     = false;
extern bool   alertsEmail     = false;


//------------------------------------------------------------------
//
//------------------------------------------------------------------
int init()
{
   return(0);
}
int deinit() { return(0); }

//------------------------------------------------------------------
//
//------------------------------------------------------------------
int start()
{
   double range;
   double pipMultiplier = MathPow(10,MathMod(Digits,2));
   if (useHighLow)
         range = MathAbs(High[0]-Low[0]);
   else  range = MathAbs(Open[0]-Close[0]);
   if (range > alertsRange*Point*pipMultiplier) doAlert("range : "+DoubleToStr(alertsRange,2)+" pips exceeded");
   return(0);

} 

//
//
//
//
//

void doAlert(string doWhat)
{
   static datetime previousTime;
   string message;
   
   if (previousTime != Time[0]) {
       previousTime  = Time[0];

       //
       //
       //
       //
       //

       message = Symbol()+" at "+TimeToStr(TimeLocal(),TIME_SECONDS)+doWhat;
          if (alertsMessage) Alert(message);
          if (alertsEmail)   SendMail(StringConcatenate(Symbol()," range "),message);
          if (alertsSound)   PlaySound("alert2.wav");
   }
}